SDL_OpenHaptic(3)

NAME
SDL_OpenHaptic - Open a haptic device for use.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Haptic * SDL_OpenHaptic(SDL_HapticID instance_id);

DESCRIPTION
The index passed as an argument refers to the N'th haptic device on this system.

When opening a haptic device, its gain will be set to maximum and autocenter will be disabled. To modify these values use

SDL_SetHapticGain () and

SDL_SetHapticAutocenter ().

FUNCTION PARAMETERS

instance_id
    the haptic device instance ID.

RETURN VALUE
( SDL_Haptic
 *) Returns the device identifier or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CloseHaptic(3), •(3), SDL_GetHaptics(3), •(3), SDL_OpenHapticFromJoystick(3), •(3), SDL_OpenHapticFromMouse(3), •(3), SDL_SetHapticAutocenter(3), •(3), SDL_SetHapticGain(3)